libmspack

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
msoab_decompressor Struct Reference

A decompressor for .LZX (Offline Address Book) files. More...

`#include <mspack.h>`

## Data Fields

int(* | decompress )(struct msoab_decompressor *self, const char *input, const char *output)
| Decompresses a full Offline Address Book file.
int(* | decompress_incremental )(struct msoab_decompressor *self, const char *input, const char *base, const char *output)
| Decompresses an Offline Address Book with an incremental patch file.

## Detailed Description

A decompressor for .LZX (Offline Address Book) files.

All fields are READ ONLY.

See also:
  mspack_create_oab_decompressor(), mspack_destroy_oab_decompressor()

## Field Documentation

int(* msoab_decompressor::decompress)(struct msoab_decompressor *self, const char *input, const char *output)

Decompresses a full Offline Address Book file.

If the input file is a valid compressed Offline Address Book file, it will be read and the decompressed contents will be written to the output file.

Parameters:

  self | a self-referential pointer to the msoab_decompressor instance being called
  input | the filename of the input file. This is passed directly to mspack_system::open().
  output | the filename of the output file. This is passed directly to mspack_system::open().

Returns:
  an error code, or MSPACK_ERR_OK if successful

int(* msoab_decompressor::decompress_incremental)(struct msoab_decompressor *self, const char *input, const char *base, const char *output)

Decompresses an Offline Address Book with an incremental patch file.

This requires both a full UNCOMPRESSED Offline Address Book file to act as the "base", and a compressed incremental patch file as input. If the input file is valid, it will be decompressed with reference to the base file, and the decompressed contents will be written to the output file.

There is no way to tell what the right base file is for the given incremental patch, but if you get it wrong, this will usually result in incorrect data being decompressed, which will then fail a checksum test.

Parameters:

  self | a self-referential pointer to the msoab_decompressor instance being called
  input | the filename of the input file. This is passed directly to mspack_system::open().
  base | the filename of the base file to which the incremental patch shall be applied. This is passed directly to mspack_system::open().
  output | the filename of the output file. This is passed directly to mspack_system::open().

Returns:
  an error code, or MSPACK_ERR_OK if successful

The documentation for this struct was generated from the following file:

- mspack.h

All Data Structures Files Functions Variables Defines